use json::JsonValue;

pub mod aliyun;

pub trait OssMode {
    fn put(&mut self, filename: &str, path: &str) -> Result<String, String>;
    fn get(&mut self, name: &str) -> Result<Vec<u8>, String>;
    fn del(&mut self, name: &str) -> Result<bool, String>;
    fn get_head(&mut self, name: &str) -> Result<String, String>;
    fn get_head_meta(&mut self, name: &str) -> Result<JsonValue, String>;
}
